Bug 150635 - databases/postgresql84-server does not build with autoconf-2.67
databases/postgresql84-server does not build with autoconf-2.67
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Palle Girgensohn
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-17 02:30 UTC by kubito
Modified: 2010-10-08 06:55 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description kubito 2010-09-17 02:30:02 UTC
After updating the autoconf port to version 2.67, it bumped the port revision for postgresql84-server. However, whenever I run 'portmaster --no-confirm -d postgresql84-server' it fails with the following output:

===>  Found saved configuration for postgresql-client-8.4.4_1
===>  Extracting for postgresql-server-8.4.4_3
=> MD5 Checksum OK for postgresql/postgresql-8.4.4.tar.bz2.
=> SHA256 Checksum OK for postgresql/postgresql-8.4.4.tar.bz2.
=> MD5 Checksum OK for postgresql/pg-840-icu-2009-09-15.diff.gz.
=> SHA256 Checksum OK for postgresql/pg-840-icu-2009-09-15.diff.gz.
===>  Patching for postgresql-server-8.4.4_3
===>  Applying distribution patches for postgresql-server-8.4.4_3
===>  Applying FreeBSD patches for postgresql-server-8.4.4_3                    
===>   postgresql-server-8.4.4_3 depends on executable: gmake - found           
===>   postgresql-server-8.4.4_3 depends on file: /usr/local/bin/autoconf-2.67 - found                                                                          
===>   postgresql-server-8.4.4_3 depends on shared library: icudata.38 - found  
===>   postgresql-server-8.4.4_3 depends on shared library: xml2.5 - found      
===>   postgresql-server-8.4.4_3 depends on shared library: intl - found        
===>   postgresql-server-8.4.4_3 depends on shared library: pq.5 - found        
===>  Configuring for postgresql-server-8.4.4_3                                 
configure.in:22: error: Autoconf version 2.62 is required.                      
Untested combinations of 'autoconf' and PostgreSQL versions are not             
recommended.  You can remove the check from 'configure.in' but it is then       
your responsibility whether the result works or not.                            
configure.in:22: the top level                                                  
autom4te-2.67: /usr/local/bin/gm4 failed with exit status: 1

How-To-Repeat: Try to build the postgresql84-server port with autoconf 2.67.
Comment 1 Edwin Groothuis freebsd_committer 2010-09-17 05:12:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->girgen

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Ashish SHUKLA freebsd_committer 2010-09-27 23:28:36 UTC
Hi,

It seems postgresql 8.3 is also having issues with it :(

#v+
===>  Patching for postgresql-server-8.3.11_2
===>  Applying distribution patches for postgresql-server-8.3.11_2
===>  Applying FreeBSD patches for postgresql-server-8.3.11_2
===>   postgresql-server-8.3.11_2 depends on executable: gmake - found
===>   postgresql-server-8.3.11_2 depends on file: /usr/local/bin/autoconf-2.67 - found
===>   postgresql-server-8.3.11_2 depends on shared library: icudata - found
===>   postgresql-server-8.3.11_2 depends on shared library: xml2.5 - found
===>   postgresql-server-8.3.11_2 depends on shared library: intl - found
===>   postgresql-server-8.3.11_2 depends on shared library: pq.5 - found
===>  Configuring for postgresql-server-8.3.11_2
configure.in:22: error: Autoconf version 2.62 is required.
Untested combinations of 'autoconf' and PostgreSQL versions are not
recommended.  You can remove the check from 'configure.in' but it is then
your responsibility whether the result works or not.
configure.in:22: the top level
autom4te-2.67: /usr/local/bin/gm4 failed with exit status: 1
#v-

I think an appropriate fix would be to revive the autoconf-2.62 port.

Thanks
-- 
Ashish SHUKLA      | GPG: F682 CDCC 39DC 0FEA E116  20B6 C746 CFA9 E74F A4B0
freebsd.org!ashish | http://people.freebsd.org/~ashish/

Avoid Success At All Costs !!
Comment 3 barbara.xxx1975 2010-09-29 00:37:44 UTC
Here you can find a patch I made for postgresql84-server.
http://pastebin.com/ehjrrcE0
It should be trivial adapting it to the other versions.

WARNING:
in the original configure.in you can find the following lines:
"Untested combinations of 'autoconf' and PostgreSQL versions are not
recommended.  You can remove the check from 'configure.in' but it is then
your responsibility whether the result works or not."

I would suggest to backup your data and test it if before using in a 
production environment.
Don't blame me if something is not working as expected.
The patch fixes the build, but I'm not 100% sure that there are no impacts or 
side effects at runtime.
Maybe someone else could comment that.

Barbara
Comment 4 dfilter freebsd_committer 2010-10-06 11:57:04 UTC
mm          2010-10-06 10:56:57 UTC

  FreeBSD ports repository

  Modified files:
    databases/postgresql84-server Makefile 
  Log:
  - fix autoconf limitation in configure.in if WITH_ICU or WITH_ICU4 are used
  
  PR:             ports/151066, ports/150635
  Approved by:    maintainer (timeout in ports/150635)
  
  Revision  Changes    Path
  1.210     +5 -0      ports/databases/postgresql84-server/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 kubito 2010-10-08 03:36:18 UTC
Indeed, it does work fine now.

Shouldn't we close this PR?
Comment 6 Palle Girgensohn freebsd_committer 2010-10-08 06:54:55 UTC
State Changed
From-To: open->closed

Works now. Thanks for the report.